LIGHTNING-WITHDRAW(7)

NAME
lightning-withdraw - Command for withdrawing funds from the internal wallet.

SYNOPSIS

withdraw destination satoshi

DESCRIPTION

The withdraw RPC command sends funds from c-lightning’s internal wallet to the address specified in destination.

The address can be of any Bitcoin accepted type, including bech32.

satoshi is the amount to be withdrawn from the internal wallet (expressed, as name suggests, in satoshi). The string all can be used to specify withdrawal of all available funds.

RETURN VALUE

On success, an object with attributes tx and txid will be returned.

tx represents the raw bitcoin, fully signed, transaction and txid represent the bitcoin transaction id.

ERRORS

If an incorrect address is supplied or the satoshi parameter exceeds the amount in the internal wallet an error message will be returned.

AUTHOR

Felix <fixone@gmail.com> is mainly responsible.

SEE ALSO

lightning-listfunds(7), lightning-fundchannel(7), lightning-newaddr(7)

RESOURCES

Main web site: https://github.com/ElementsProject/lightning